<?php
include_once("c_debug_info.php");
include_once(_DIR_TO_MODULES.'/engine/i_disk.php') ;
class c_page_cab_debug_info_log_mo extends c_page_cab_debug_info
{
  public $h1='Информация по журналу событий' ;


  function block_main()
  { $this->page_title() ;
    $this->panel_info() ;
  }
  
   function panel_info()
    {  ?><h2>Информация по записям журнала событий</h2><?
       $recs_table=execSQL('SELECT obj_name,count(pkey) as cnt from obj_site_mo_log where obj_name!="" group by obj_name order by cnt desc');
       //print_2x_arr($recs_table) ;
       $i=1 ;
       ?><table id=table_log_info class="basic fz_small auto"><tr><th>Событие</th><th>Число записей</th><th>Первое</th><th>Последнее</th><th>Срок хранения</th></tr><?
       if (_sizeof($recs_table)) foreach($recs_table as $rec)
       {  ?><tr line="<?echo $i?>">
                <td class="event_name left"><?echo $rec['obj_name']?></td>
                <td><?echo number_format($rec['cnt'], 0, '.', ' ')?></td>
                <td id="line_<?echo $i?>_from" class="stats_from"></td>
                <td id="line_<?echo $i?>_to" class="stats_to"></td>
                <td id="line_<?echo $i?>_day" class="stats_day"></td>
          </tr><?
          $i++ ;
       }
        ?></table>
        <script type="text/javascript">
         $j(document).ready(function()
         {

            var first_line=$j('#table_log_info').find('tr[line]')[0] ;

            $j(first_line).find('td.stats_from').html('<img src="/<?echo _CLASS_?>/assets/loader.white.tr.gif">') ;
            $j(first_line).find('td.stats_to').html('<img src="/<?echo _CLASS_?>/assets/loader.white.tr.gif">') ;
            $j(first_line).find('td.stats_day').html('<img src="/<?echo _CLASS_?>/assets/loader.white.tr.gif">') ;

            // асинхронный запрос, по ответу дергаем данные на следующую строку
            send_ajax_request({cmd:'aspmo_debug/get_log_stats_info',event_name:$j(first_line).find('td.event_name').text(),line:$j(first_line).attr('line')},exec_ajax_cmd_success_JQ2) ;

             function exec_ajax_cmd_success_JQ2(data,status,link)
              { if (status=='success')
                 {  data=exec_ajax_cmd_success(link.responseXML) ;
                    // выполняем запрос на следующую строку
                    if (data.next_line>0)
                    { next_line=$j('#table_log_info').find('tr[line]')[data.next_line-1] ;
                      if (next_line!=undefined)
                      {   $j(next_line).find('td.stats_from').html('<img src="/<?echo _CLASS_?>/assets/loader.white.tr.gif">') ;
                          $j(next_line).find('td.stats_to').html('<img src="/<?echo _CLASS_?>/assets/loader.white.tr.gif">') ;
                          $j(next_line).find('td.stats_day').html('<img src="/<?echo _CLASS_?>/assets/loader.white.tr.gif">') ;
                          send_ajax_request({cmd:'aspmo_debug/get_log_stats_info',event_name:$j(next_line).find('td.event_name').text(),line:$j(next_line).attr('line')},exec_ajax_cmd_success_JQ2) ;
                      }

                    }

                 }
              }
         }) ;
        </script>
        <?
    }

}



?>
